<?xml version="1.0" encoding="utf-8"?>
<Template xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" hidden="true" name="Collaboration" displayName="Collaboration" webTemplate="STS#0">
  <!--Site Pages-->
  <Action xsi:type="DeactivateFeatureAction" scope="Web" featureId="b6917cb1-93a0-4b97-a84d-7cf49975d4ec" />
  <!--SharePoint Server Publishing-->
  <Action xsi:type="ActivateFeatureAction" scope="Web" featureId="94c94ca6-b32f-4da9-a9e3-1f3d343d7ecb" />
  <!--SharePoint Server Standard Site features-->
  <Action xsi:type="ActivateFeatureAction" scope="Web" featureId="99fe402e-89a0-45aa-9163-85342e865dc8" />
  <!--SharePoint Server Enterprise Site features-->
  <Action xsi:type="ActivateFeatureAction" scope="Web" onErrorResumeNext="true" featureId="0806d127-06e6-447a-980e-2e90b03101b8" />
  <!--Minimal Download Strategy-->
  <Action xsi:type="DeactivateFeatureAction" scope="Web" featureId="87294c72-f260-42f3-a41b-981a2ffce37a" />
  
  <!--Activate Site Notebook-->
  <Action xsi:type="ActivateFeatureAction" scope="Web" featureId="f151bb39-7c3b-414f-bb36-6bf18872052f" />
  <!--Activate Team Collaboration Lists-->
  <Action xsi:type="ActivateFeatureAction" scope="Web" featureId="00bfea71-4ea5-48d4-a4ad-7ea5c011abe5" />
  <!--Default Page-->
  <Action xsi:type="CreateListAction" url="ProjectContacts" title="{SPResx:ContactsList}" type="105" contentTypesEnabled="true" scope="Web">
  </Action>
  <Action xsi:type="DeployFileAction" src="{Pages}/default.aspx" replaceVariables="false" clearExistingWebparts="true" scope="Web">
    <Properties>
      <Property name="Title" value="{Web.Title}"></Property>
      <Property name="W365_HideBreadCrumb" value="false"></Property>
      <Property name="W365_HidePageContact" value="true"></Property>
      <Property name="W365_HideLeftMenu" value="true"></Property>
      <Property name="W365_HidePageInfo" value="true"></Property>
      <Property name="ContentTypeId" value="0x010100C568DB52D9D0A14D9B2FDCC96666E9F2007948130EC3DB064584E219954237AF3900E1A7B5EB4F6D4536ABA24236F66055A10009EAA0415C6C41B6BF661A416532A8FD" />
      <Property name="PublishingPageLayout" value="~sitecollection/_catalogs/masterpage/wizdom3Column.aspx, wizdom3ColumnType3" />
    </Properties>
  </Action>

  <!--Set Pagelayouts-->
  <Action xsi:type="SetPagelayoutsAction" replace="true">
    <Pagelayout>_catalogs/masterpage/wizdom3Column.aspx</Pagelayout>
  </Action>
  <Action xsi:type="SetDefaultPageLayoutAction">_catalogs/masterpage/wizdom3Column.aspx</Action>

  <!--Set Welcome page-->
  <Action xsi:type="SetWelcomePageAction" src="{Pages}/default.aspx" />

  <!--Update Welcome page-->  
  <Action xsi:type="CheckOutFileAction" src="{Pages}/default.aspx"/>
  <!--Project Information-->
  <Action xsi:type="AddWebpartAction" targetRequirements="None" src="{Pages}/default.aspx" scope="Web">
    <WebpartObject>
      <Webpart ZoneId="wt3columnsleftvar1" PartOrder="0">
        <webParts>
          <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
            <metaData>
              <type name="Microsoft.SharePoint.WebPartPages.ScriptEditorWebPart, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" />
              <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
            </metaData>
            <data>
              <properties>
                <property name="ExportMode" type="exportmode">All</property>
                <property name="Hidden" type="bool">False</property>
                <property name="Description" type="string">Overview</property>
                <property name="Content" type="string">
                  <![CDATA[ <div wizdom365-projectspace-projectmetadata webpart-Properties='{"siteId":"{context.items["siteId"]}"}'></div> ]]>
                </property>
                <property name="Title" type="string">TitleToChange</property>
                <property name="AllowHide" type="bool">True</property>
                <property name="AllowMinimize" type="bool">True</property>
                <property name="AllowZoneChange" type="bool">True</property>
                <property name="ChromeType" type="chrometype">Default</property>
                <property name="AllowConnect" type="bool">True</property>
                <property name="AllowEdit" type="bool">True</property>
                <property name="AllowClose" type="bool">True</property>
                <property name="ChromeState" type="chromestate">Normal</property>
              </properties>
            </data>
          </webPart>
        </webParts>
      </Webpart>
      <Properties>
        <Property name="TitleToChange" value="Information">
          <Translation target="Value" key="Information" />
        </Property>
      </Properties>
    </WebpartObject>
  </Action>
  <!--Latest Documents-->
  <Action xsi:type="AddWebpartAction" targetRequirements="None" src="{Pages}/default.aspx" scope="Web">
    <WebpartObject>
      <Webpart ZoneId="wt3columnsleftvar1" PartOrder="1">
        <webParts>
          <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
            <metaData>
              <type name="Microsoft.SharePoint.WebPartPages.XsltListViewWebPart,Microsoft.SharePoint,Version=15.0.0.0,Culture=neutral,PublicKeyToken=71e9bce111e9429c" />
              <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
            </metaData>
            <data>
              <properties>
                <property name="Title" type="string">TitleToChange</property>
                <property name="ListUrl" type="string">{Documents.WebRelativeUrl}</property>
                <property name="ChromeType" type="chrometype">Default</property>
                <property name="MissingAssembly" type="string">Cannot import this Web Part.</property>
                <property name="ExportMode" type="exportmode">All</property>
                <property name="Toolbar" type="toolbar">2</property>
                <property name="InplaceSearchEnabled" type="bool">True</property>
                <property name="AllowEdit" type="bool">False</property>
              </properties>
            </data>
          </webPart>
        </webParts>
      </Webpart>
      <Properties>       
        <Property name="TitleToChange" value="Latest Changed Documents">
          <Translation target="Value" key="Latest Changed Documents" />
        </Property>
      </Properties>
    </WebpartObject>
  </Action>
  <!--LINKS-->
  <Action xsi:type="ExecuteCodeAction">
    <Type>PersonalLink.BLL.Actions.LinkActions, PersonalLink.BLL</Type>
    <Method>AddCorporateLocalLinks</Method>
    <Parameters>
      <Parameter type="System.String">{translate:OneNote},{translate:Tasks},{translate:Documents}</Parameter>
      <Parameter type="System.String">Notebook,{Web.FullUrl}/{Pages}/Tasks.aspx,{Web.FullUrl}/{Documents.WebRelativeUrl}</Parameter>
			<Parameter type="System.String">{Web.FullUrl}</Parameter>
    </Parameters>
  </Action>
  <Action xsi:type="AddWebpartAction" targetRequirements="None" src="{Pages}/default.aspx" scope="Web">
    <WebpartObject>
      <Webpart ZoneId="wt3columnscentervar1" PartOrder="0">
        <webParts>
          <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
            <metaData>
              <type name="Microsoft.SharePoint.WebPartPages.ScriptEditorWebPart, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" />
              <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
            </metaData>
            <data>
              <properties>
                <property name="ExportMode" type="exportmode">All</property>
                <property name="Hidden" type="bool">False</property>
                <property name="Content" type="string">
                  <![CDATA[ <div wizdom365-personallink-webpart webpart-Properties='{"templateUrl":"PersonalLink/Templates/ViewTemplates/descriptiveimagelist.html","webpartInstanceId":"{context.items["linkViewId"]}" }'></div> ]]>
                </property>
                <property name="Title" type="string">Links</property>
                <property name="AllowHide" type="bool">True</property>
                <property name="AllowMinimize" type="bool">True</property>
                <property name="AllowZoneChange" type="bool">True</property>
                <property name="ChromeType" type="chrometype">BorderOnly</property>
                <property name="AllowConnect" type="bool">True</property>
                <property name="AllowEdit" type="bool">False</property>
                <property name="ChromeState" type="chromestate">Normal</property>
              </properties>
            </data>
          </webPart>
        </webParts>
      </Webpart>
      <Properties>
        <Property name="Links" value="Links">
          <Translation target="Value" key="Links" />
        </Property>
      </Properties>
    </WebpartObject>
  </Action>

  <!--Create noticeboard view-->
  <Action xsi:type="ExecuteCodeAction" skip="{context.items[&quot;skipNoticeboardChannelCreation&quot;]}">
    <Type>BusinessApp.AppService.V2.DomainLogic.SiteTemplateActions.NoticeboardViewCreator, BusinessApp.AppService</Type>
    <Method>CreateNoticeboardView</Method>
    <Parameters>
      <Parameter type="System.Int32">{context.items["noticeboardChannelId"]}</Parameter>
    </Parameters>
  </Action>
  <!--Project Messages-->
  <Action xsi:type="AddWebpartAction" targetRequirements="None" src="{Pages}/default.aspx" scope="Web" skip="{context.items[&quot;skipNoticeboardChannelCreation&quot;]}">
    <WebpartObject>
      <Webpart ZoneId="wt3columnscentervar1" PartOrder="1">
        <webParts>
          <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
            <metaData>
              <type name="Microsoft.SharePoint.WebPartPages.ScriptEditorWebPart, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" />
              <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
            </metaData>
            <data>
              <properties>
                <property name="ExportMode" type="exportmode">All</property>
                <property name="Hidden" type="bool">False</property>
                <property name="Content" type="string">
                  <![CDATA[ <div wizdom365-noticeboard webpart-properties='{"id":"{context.items["noticeboardViewId"]}","channelSetId":"{context.items["noticeboardChannelsetId"]}","deviceId":1,"deviceIdentifier":"Webpart","editableByCurrentUser":null,"isSharedChannelSet":true,"extendedProperties":{"itemsPerPage":5,"maxNumberOfPages":10,"defaultSelection":"All","hideToolbar":false,"archiveUrl":null,"overviewTemplate":"Noticeboard/Templates/ViewTemplates/Webpart/Overview/defaultSmall2.html","showItemTemplate":"Noticeboard/Templates/ViewTemplates/Webpart/ShowItem/default.html"},"webpartInstanceId":"{context.items["noticeboardViewId"]}"}'></div> ]]>
                </property>
                <property name="Title" type="string">Messages</property>
                <property name="AllowHide" type="bool">True</property>
                <property name="ChromeType" type="chrometype">Default</property>
                <property name="AllowEdit" type="bool">True</property>
                <property name="ChromeState" type="chromestate">Normal</property>
              </properties>
            </data>
          </webPart>
        </webParts>
      </Webpart>
      <Properties>
        <Property name="Messages" value="Messages">
          <Translation target="Value" key="Messages" />
        </Property>
      </Properties>
    </WebpartObject>
  </Action>
  <!--Team-->
  <Action xsi:type="AddWebpartAction" targetRequirements="None" src="{Pages}/default.aspx" scope="Web">
    <WebpartObject>
      <Webpart ZoneId="wt3columnsrightvar1" PartOrder="0">
        <webParts>
          <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
            <metaData>
              <type name="Microsoft.SharePoint.WebPartPages.ScriptEditorWebPart, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" />
              <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
            </metaData>
            <data>
              <properties>
                <property name="ExportMode" type="exportmode">All</property>
                <property name="Content" type="string">
                  <![CDATA[ <div wizdom365-projectspace-projectroles webpart-Properties='{"siteId":"{context.items["siteId"]}", "templateUrl":"ProjectSpace/Templates/ViewTemplates/ProjectRoles/ProjectRoles_horisontal.html"}'></div> ]]>
                </property>
                <property name="Title" type="string">Team</property>
                <property name="ChromeType" type="chrometype">Default</property>
                <property name="MissingAssembly" type="string">Cannot import this Web Part.</property>
                <property name="AllowEdit" type="bool">True</property>
              </properties>
            </data>
          </webPart>
        </webParts>
      </Webpart>
      <Properties>
        <Property name="Team" value="Team">
          <Translation target="Value" key="Team" />
        </Property>
      </Properties>
    </WebpartObject>
  </Action>
  <!--Contacts-->
  <Action xsi:type="AddWebpartAction" targetRequirements="None" src="{Pages}/default.aspx" scope="Web">
    <WebpartObject>
      <Webpart ZoneId="wt3columnsrightvar1" PartOrder="1">
        <webParts>
          <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
            <metaData>
              <type name="Microsoft.SharePoint.WebPartPages.XsltListViewWebPart,Microsoft.SharePoint,Version=15.0.0.0,Culture=neutral,PublicKeyToken=71e9bce111e9429c"  />
              <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
            </metaData>
            <data>
              <properties>
                <property name="Title" type="string">Contacts</property>
                <property name="ListUrl" type="string">ProjectContacts</property>
                <property name="ChromeType" type="chrometype">Default</property>
                <property name="MissingAssembly" type="string">Cannot import this Web Part.</property>
                <property name="ExportMode" type="exportmode">All</property>
                <property name="AllowEdit" type="bool">False</property>
                <property name="InplaceSearchEnabled" type="bool">True</property>
              </properties>
            </data>
          </webPart>
        </webParts>
      </Webpart>
      <Properties>
        <Property name="Contacts" value="Contacts">
          <Translation target="Value" key="Contacts" />
        </Property>
      </Properties>
    </WebpartObject>
  </Action>
  <Action xsi:type="SetViewFieldsOfListViewWebpartAction" src="{Pages}/default.aspx" webpartTitle="{translate:Contacts}" fieldNamesToShow="FirstName,Title,Comments" listTitle="{SPResx:ContactsList}" showToolbar="false" />
  <Action xsi:type="SetViewFieldsOfListViewWebpartAction" src="{Pages}/default.aspx" webpartTitle="{translate:Latest Changed Documents}" fieldNamesToShow="DocIcon,LinkFilename,Modified" listTitle="{SPResx:ListNameDocuments}" showToolbar="false" />
  <Action xsi:type="CheckInFileAction" src="{Pages}/default.aspx" comment="Checked in by Wizdom Collaboration site creation" checkInType="MajorCheckIn" />
  <Action xsi:type="PublishFileAction" src="{Pages}/default.aspx" comment="Published by Wizdom Collaboration site creation" onErrorContinue="true" />
  <Action xsi:type="ApproveFileAction" src="{Pages}/default.aspx" comment="Approved by Wizdom Collaboration site creation" onErrorContinue="true" />

  <!--Kanban Tasks Page-->

  <Action xsi:type="ExecuteCodeAction">
    <Type>Kanban.BLL.Managers.KanbanManager, Kanban.BLL</Type>
    <Method>CreateKanbanListForDepartment</Method>
    <Parameters>
      <Parameter type="System.String">{Web.FullUrl}</Parameter>
      <Parameter type="System.String">{translate:Tasks}</Parameter>
      <Parameter type="System.String">{translate:W365_RelatedTopic}</Parameter>
      <Parameter type="System.String">{translate:To do},{translate:In Progress},{translate:On Hold},{translate:Awaiting Preview},{translate:Done}</Parameter>
    </Parameters>
  </Action>

  <Action xsi:type="DeployFileAction" src="{Pages}/Tasks.aspx" replaceVariables="false" clearExistingWebparts="true" scope="Web">
    <Webparts>
      <WebpartObject>
        <Webpart ZoneId="TopVar3" PartOrder="0">
          <webParts>
            <webPart xmlns="http://schemas.microsoft.com/WebPart/v3">
              <metaData>
                <type name="Microsoft.SharePoint.WebPartPages.ScriptEditorWebPart, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" />
                <importErrorMessage>Cannot import this Web Part.</importErrorMessage>
              </metaData>
              <data>
                <properties>
                  <property name="ExportMode" type="exportmode">All</property>
                  <property name="Hidden" type="bool">False</property>
                  <property name="Content" type="string">
                    <![CDATA[ <div wizdom365-kanban webpart-Properties='{"listId":"{ListId.Kanban-Tasks}" }'></div> ]]>
                  </property>
                  <property name="Title" type="string">Tasks</property>
                  <property name="AllowHide" type="bool">True</property>
                  <property name="ChromeType" type="chrometype">BorderOnly</property>
                  <property name="AllowEdit" type="bool">True</property>
                  <property name="ChromeState" type="chromestate">Normal</property>
                </properties>
              </data>
            </webPart>
          </webParts>
        </Webpart>
        <Properties>
          <Property name="Kanban" value="Kanban">
            <Translation target="Value" key="Kanban" />
          </Property>
          <Property name="Kanban-Tasks" value="Kanban-Tasks">
            <Translation target="Value" key="Kanban-Tasks" />
          </Property>
        </Properties>
      </WebpartObject>
    </Webparts>

    <Properties>
      <Property name="Title" value="{Web.Title} {translate:Tasks}">
      </Property>
      <Property name="W365_HidePageContact" value="true"></Property>
      <Property name="W365_HideLeftMenu" value="true"></Property>
      <Property name="W365_HidePageInfo" value="true"></Property>
      <Property name="ContentTypeId" value="0x010100C568DB52D9D0A14D9B2FDCC96666E9F2007948130EC3DB064584E219954237AF3900E1A7B5EB4F6D4536ABA24236F66055A10009EAA0415C6C41B6BF661A416532A8FD" />
      <Property name="PublishingPageLayout" value="~sitecollection/_catalogs/masterpage/wizdom3ColumnType2.aspx, wizdom3ColumnType2" />
    </Properties>
  </Action>
</Template>